### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
EqualProbabilitiesBinomialTree< T > Class Template Reference
Lattice methods

Base class for equal probabilities binomial tree. More...

`#include <ql/methods/lattices/binomialtree.hpp>`

Inheritance diagram for EqualProbabilitiesBinomialTree< T >:
[legend]

List of all members.

## Public Member Functions

| EqualProbabilitiesBinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size) const

## Protected Attributes

Real | up_

## Detailed Description

### template<class T>
class QuantLib::EqualProbabilitiesBinomialTree< T >

Base class for equal probabilities binomial tree.